export function getColorForTask(task: any): string {
  if (!!!task) {
    return undefined;
  }

  if (task.type === ('Info' || 'PreInfo')) {
    return 'black';
  }

  switch (task.status) {
    case 'Completed':
      return 'green';

    case 'InProgress':
    case 'Overdue|InProgress':
      return 'yellow';

    case 'Open':
    case 'Overdue|Open':
      return 'lightgrey';

    case 'Overdue':
      return 'red';

    default:
      return 'lightgrey';
  }
}
